<?php
#############################################################
# Project:      bCounter                                    #
# File:         details_hosts.php                           #
# Decription:   statistics of hosts
#               visitors used during their stay
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Hosts';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "hosts" ).'" width="800" height="300" alt="Hosts" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';

    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human'";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT top_host, count(top_host) AS anzahl FROM ".$bCounter_dbPrefix."visits WHERE type='human' GROUP BY top_host ORDER BY anzahl DESC";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Hosts</th><th>Besucher</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td>'.mysql_result($SQLresult_all, $i, "top_host").'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";
    $strDivBody .= '</table>'."\n";
?>